package cn.aibreeze.exam.api;

import cn.aibreeze.exam.entity.ElehKnowledgeDo;
import cn.aibreeze.exam.mapper.ElehKnowledgeMapper;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


@RestController
@RequestMapping(value = "/exam")
@RequiredArgsConstructor
public class ExamController {


    private final ElehKnowledgeMapper knowledgeMapper;

    @GetMapping(value = "/list")
    public String list() {
        LambdaQueryWrapper<ElehKnowledgeDo> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(ElehKnowledgeDo::getTenant, 16);
        List<ElehKnowledgeDo> elehKnowledgeDos = knowledgeMapper.selectList(queryWrapper);
        return JSONObject.toJSONString(elehKnowledgeDos);
    }

}
